org.apache.lucene.search.highlight

## Interface Formatter

- All Known Implementing Classes:
    GradientFormatter, SimpleHTMLFormatter, SpanGradientFormatter

      public interface Formatter

  Processes terms found in the original text, typically by applying some form of mark-up to highlight terms in HTML search results pages.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `highlightTerm(String originalText, TokenGroup tokenGroup)`

- - ### Method Detail

    - #### highlightTerm

          String highlightTerm(String originalText,
                             TokenGroup tokenGroup)

      Parameters:
        `originalText` - The section of text being considered for markup
        `tokenGroup` - contains one or several overlapping Tokens along with their scores and positions.

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.